local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.GoldProtentionalWithToys(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Gold Protentional With Toys")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)
  
  
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Toys:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Toys, the collectors niche. While looking towards this market we have to consider some factors towards this. The first one being the sell rate of which each toy sells and the second being the gold we will receive for our time invested. Looking into this market you will see that toys most of the time have a lower than average sell rate compared to things such as battle pets ( another collectors market) but, the return for these Toys on average is typically higher than Pets.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The Toy market is more of a waiting game, you farm the Toy in question, then you wait for the sale. Cancelling and Posting is a common them with this market. Though this is a profitable market your time for the gold return should be prioritised to high selling markets. This does not mean the toy market is a bad one, quite the opposite. It is mainly farming or crafting the Toys you wish to sell on gaining a few and then focusing on other markets while you sell these on and return to these for restocking only. This is to make the best out of your time, meaning that as it is a waiting game you would want to stockpile up a few of each of the Toys you wish to sell on and then while you wait for sales on those focus on other markets.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Looking at this market as a Supplementary way of making gold is the most practical and like most supplements need to be paired with another main market. Think of this a the trickle effect, where you do the work up front and every now and then you gain a little boost over time. Now we have covered the basic overview of this market we should get into what types of farms and craft we can do to make gold with this.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Class Specific:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Starting off, we shall look into class based farms for Toys. These are more often than not are the Rogue Dice gold farms. Class specific gold farms are based on your classes ability to obtain objects through that class alone. The Rogue based Toys farms are comprised of three Dice based Toys and as such a gained through the Rogue ability of Pick Pocketing. This is where we will be going to specific mobs in the game and using this ability on them. Though these Dice farms do take a good while to obtain these Toys, the gold return for these are worth the time invested providing you stick with them. Decahedral Dwarven, Worn Troll and Loaded Gnomish Dice are the keynote items for these types of Gold Farms and as such can be farmed in specific Mobs within certain zones.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The price for these Toys are totally server dependant and must be looked at before investing your time into these. Common places to farm these are Ice Crown off of the Scarlet Onslaught, Hrothgar's Landing from the Kvaldir and Uldum from the Schnottz Infantryman. These can all be farmed with ease if, providing the time is put into farming these as you will be Pick Pocketing these mobs for the chance of this drop.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Open World:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("In regards to Open World gold farms there is no better example of a good Toy based farm than the Big Red Raygun. With this farm you will be farming on the Alcaz Island off of the coast of Dustwallow Marsh. Here you will find Doctor Weavil. He has a 3% chance of dropping this Toy and has a respawn timer of around 7 to 8 minutes. This means you will have a decent amount of time in between this farm and this opens us up to two ways of farming for this Toy.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The first method is to farm this in a fulling invested camping session. This is where you will parking you character next to Doctor Weavil and every 7 to 8 minutes you will be constantly killing him to get a chance of this toy. However, this may not be the best use of your time and this is focusing on one mob.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("This is where the second method could come into play for farming for this Toy and that is Casual Farming this Rare mob. This is where you will be parking you character next to Doctor Weavil and then every time you have a free minute you log into that character and see if Doctor Weavil is spawned. You then slay him and move back over to something else that you are doing. This means by casual farming your are not fully invested into this farm as a whole and this is where you can pair this with a gold farm like Herbalism where every 30 minute to a hour of herbing you will log out and log the character parked. This is would be the most effective use of time for gold farming with this and as such would be the most ideal for farming for this Toy.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vendor:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Ah yes the easiest of all the ways of selling Toys. Now it is wise to take not that Vendor Toys can be bought and sold but the keynote is to make sure that the Toys you are buying are not BOP ( Bind on Pick up) so they do not become Soulbound. After this Vendor Toys are scattered around the world.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The best place to start for Vendor Toys is the Broken Isles Dalaran, here you will find a vendor that will sell toys to you which Some are able to be sold on the Auction House.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Though when selling these toys you might find a bit more competition than other Toys as these are easier to obtain and sell and as such, being aware of this will help you greatly.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Crafted:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for the last of the Toys and one of the best ways of selling Toys are the crafted ones. These are some of the easiest once to obtain as this is only reliant of learning a recipe and crafting to sell. Crafted Toys should be paired into a daily restocking of items to keep a steady supply on the Auction house.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("One Toy that is notable is the Snowmaster 9000 Toy. The recipe for this can be bought off of the auction house for a cheap price which makes it easy to obtain or failing that it is wise to farm this on your Winter Veil dailies throughout the respective Event. Crafting this is typically easy which requires you to craft some other items through Alchemy for the Frost Oil and the rest from Engineering. This can be crafting a reasonable price and sold on for a decent profit on most servers, so this is a good place to start with Crafted Toys. The only thing that is a catch with this is creating the Frost Oil which the recipe can be bought off of the auction house also. We should craft our Frost Oil as this goes for a high price on most servers and it is a lot cheaper to craft your self for restocking and this also will mean you are able to be more competitive with this craft in regards to selling.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)














end